Show / Hide Table of Contents

# Class SerilogEventSink

##### Inheritance

System.Object
SerilogEventSink

##### Implements

Serilog.Core.ILogEventSink

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Interface

###### Assembly: Dalamud.dll

##### Syntax

    public class SerilogEventSink : ILogEventSink

### Constructors

| Improve this Doc View Source

#### SerilogEventSink(IFormatProvider)

##### Declaration

    public SerilogEventSink(IFormatProvider formatProvider)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IFormatProvider | formatProvider |

### Fields

| Improve this Doc View Source

#### Instance

##### Declaration

    public static SerilogEventSink Instance

##### Field Value

Type | Description
--- | ---
SerilogEventSink |

### Methods

| Improve this Doc View Source

#### Emit(LogEvent)

##### Declaration

    public void Emit(LogEvent logEvent)

##### Parameters

Type | Name | Description
--- | --- | ---
Serilog.Events.LogEvent | logEvent |

### Events

| Improve this Doc View Source

#### OnLogLine

##### Declaration

    public event EventHandler<(string line, LogEventLevel level)> OnLogLine

##### Event Type

Type | Description
--- | ---
System.EventHandler<System.ValueTuple<System.String, Serilog.Events.LogEventLevel>> |

### Implements

Serilog.Core.ILogEventSink